Package de.willuhn.jameica.hbci.gui.input

# Class ReminderIntervalInput

java.lang.Object
de.willuhn.jameica.hbci.gui.input.ReminderIntervalInput

All Implemented Interfaces:
  `de.willuhn.jameica.gui.input.Input`, `de.willuhn.jameica.gui.Part`

public class ReminderIntervalInput extends Object implements de.willuhn.jameica.gui.input.Input
Implementierung eines fertig konfigurierten Auswahlfeldes fuer das Intervall des Reminders.

## Field Summary

### Fields inherited from interface de.willuhn.jameica.gui.input.Input

`DATAKEY_TOOLTIP`

## Constructor Summary

Constructors
Constructor
Description
`ReminderIntervalInput(Terminable terminable, Date termin)`
ct.

## Method Summary

Modifier and Type
Method
Description
`void`
`addListener(org.eclipse.swt.widgets.Listener l)`
`boolean`
`containsInterval()`
Liefert true, wenn es sich hier tatsaechlich um ein Auswahlfeld fuer das Intervall handelt.
`void`
`disable()`
`void`
`enable()`
`void`
`focus()`
`org.eclipse.swt.widgets.Control`
`getControl()`
`Object`
`getData(String key)`
`Date`
`getEnd()`
Liefert das optionale End-Datum.
`String`
`getName()`
`Object`
`getValue()`
`boolean`
`hasChanged()`
`boolean`
`isEnabled()`
`boolean`
`isMandatory()`
`void`
`paint(org.eclipse.swt.widgets.Composite parent)`
`void`
`paint(org.eclipse.swt.widgets.Composite parent, int width)`
`void`
`setComment(String comment)`
`void`
`setData(String key, Object data)`
`void`
`setEnabled(boolean enabled)`
`void`
`setMandatory(boolean mandatory)`
`void`
`setName(String name)`
`void`
`setValue(Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReminderIntervalInput

public ReminderIntervalInput(Terminable terminable, Date termin) throws RemoteException
ct.

Parameters:
  `terminable` - der Auftrag.
  `termin` - das Start-Datum des Intervalls.
Throws:
  `RemoteException`

## Method Details

### containsInterval

public boolean containsInterval()
Liefert true, wenn es sich hier tatsaechlich um ein Auswahlfeld fuer das Intervall handelt. Ist der Auftrag jedoch ein Clone, liefert die Funktion false.

Returns:
  true, wenn bei dem Auftrag tatsaechlich das Intervall eingestellt werden kann.

### getValue

public Object getValue()

Specified by:
  `getValue` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.getValue()`

### setValue

public void setValue(Object value)

Specified by:
  `setValue` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.setValue(java.lang.Object)`

### getEnd

public Date getEnd()
Liefert das optionale End-Datum.

Returns:
  das optionale End-Datum.

### hasChanged

public boolean hasChanged()

Specified by:
  `hasChanged` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.hasChanged()`

### getControl

public org.eclipse.swt.widgets.Control getControl()

Specified by:
  `getControl` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.getControl()`

### addListener

public void addListener(org.eclipse.swt.widgets.Listener l)

Specified by:
  `addListener` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.addListener(org.eclipse.swt.widgets.Listener)`

### setComment

public void setComment(String comment)

Specified by:
  `setComment` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.setComment(java.lang.String)`

### paint

public void paint(org.eclipse.swt.widgets.Composite parent)

Specified by:
  `paint` in interface `de.willuhn.jameica.gui.input.Input`
Specified by:
  `paint` in interface `de.willuhn.jameica.gui.Part`
See Also:
  - `Input.paint(org.eclipse.swt.widgets.Composite)`

### paint

public void paint(org.eclipse.swt.widgets.Composite parent, int width)

Specified by:
  `paint` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.paint(org.eclipse.swt.widgets.Composite, int)`

### focus

public void focus()

Specified by:
  `focus` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.focus()`

### disable

public void disable()

Specified by:
  `disable` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.disable()`

### enable

public void enable()

Specified by:
  `enable` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.enable()`

### setEnabled

public void setEnabled(boolean enabled)

Specified by:
  `setEnabled` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.setEnabled(boolean)`

### isEnabled

public boolean isEnabled()

Specified by:
  `isEnabled` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.isEnabled()`

### setMandatory

public void setMandatory(boolean mandatory)

Specified by:
  `setMandatory` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.setMandatory(boolean)`

### isMandatory

public boolean isMandatory()

Specified by:
  `isMandatory` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.isMandatory()`

### setName

public void setName(String name)

Specified by:
  `setName` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.setName(java.lang.String)`

### getName

public String getName()

Specified by:
  `getName` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.getName()`

### setData

public void setData(String key, Object data)

Specified by:
  `setData` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.setData(java.lang.String, java.lang.Object)`

### getData

public Object getData(String key)

Specified by:
  `getData` in interface `de.willuhn.jameica.gui.input.Input`
See Also:
  - `Input.getData(java.lang.String)`